# xarray.core.accessor_str.StringAccessor.slice

`StringAccessor.``slice`(start=None, stop=None, step=None)

  Slice substrings from each element in the array.

  Parameters:

  - start (int, optional) – Start position for slice operation.
  - stop (int, optional) – Stop position for slice operation.
  - step (int, optional) – Step size for slice operation.

  Returns: | sliced strings
  Return type: | same type as values